Name:			libqtelegram-ae
Summary:		Telegram qt lib wrapper forked of original libqtelegram code
Version:		6.1
Release:		1%{?dist}
Group:			System Environment/Libraries
License:		GPLv3
URL:			https://github.com/Aseman-Land/libqtelegram-aseman-edition
# Source comes from the libqtelegram fork ( maintained ) 
# git@github.com:Aseman-Land/libqtelegram-aseman-edition.git
# Use the following commands to generate the tarball:
# git archive --prefix=libqtelegram-ae-0.5.0/ v2.5.0 | xz > libqtelegram-ae-2.5.0.tar.xz
Source0:		%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(libssl)

%description
%{summary}.

%package devel
Summary:		libqtelegram - development for libqtelegram
Requires:		%{name}%{?_isa} = %{version}-%{release}
Requires:		qt5-qtbase-devel >= 5.4.0

%description devel
libqtelegram - development for libqtelegram

%prep
%setup -q

%build
mkdir -p %{_target_platform}-qt5
pushd %{_target_platform}-qt5
	%qmake_qt5 ..
popd
make %{?_smp_mflags} -C %{_target_platform}-qt5

%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}-qt5


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files 
%doc README
%license LICENSE
%{_libdir}/libqtelegram-ae.so.1*

%files devel
%{_libdir}/libqtelegram-ae.so
%{_qt5_headerdir}/libqtelegram-ae

%changelog
* Tue Mar 15 2016 Helio Chissini de Castro <helio@kde.org> - 6.1 
- New upstream release 6.1

* Mon Oct 05 2015 Helio Chissini de Castro <helio@kde.org> - 6.0
- New upstream release 6.0

* Thu Aug 06 2015 Helio Chissini de Castro <helio@kde.org> - 0.5.0-4
- Fix some rpmlint issues

* Sun Jul 26 2015 Helio Chissini de Castro <helio@kde.org> - 0.5.0-3
- Update with requested changes on spec review process

* Fri Jul 24 2015 Helio Chissini de Castro <helio@kde.org> - 0.5.0-2
- Patch the install to use headers and lib directory from the compiled Qt

* Thu Jul 23 2015 Helio Chissini de Castro <helio@kde.org> - 0.5.0-1
- New package
